/*
 * Class ARRAY [REAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_622 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_622 [] = {0xFF01,237,621,179,0xFFFF};
static const EIF_TYPE_INDEX egt_2_622 [] = {0xFF01,621,179,0xFFFF};
static const EIF_TYPE_INDEX egt_3_622 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_622 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_622 [] = {0xFF01,621,179,0xFFFF};
static const EIF_TYPE_INDEX egt_6_622 [] = {0xFF01,621,179,0xFFFF};
static const EIF_TYPE_INDEX egt_7_622 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_622 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_622 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_622 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_622 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_622 [] = {621,179,0xFFFF};
static const EIF_TYPE_INDEX egt_13_622 [] = {0xFF01,621,179,0xFFFF};
static const EIF_TYPE_INDEX egt_14_622 [] = {0xFF01,624,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_622 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_622 [] = {0xFF01,616,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_622 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_622 [] = {0xFF01,615,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_622 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_622 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_622 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_622 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_622 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_24_622 [] = {0xFF01,620,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_622 [] = {0xFF01,615,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_622 [] = {0xFF01,621,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_622 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_622 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_622 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_622 [] = {0xFF01,148,0xFFFF};


static const struct desc_info desc_622[] = {
	{EIF_GENERIC(NULL), 5634, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_622), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_622), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5651, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_622), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5689, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_622), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_622), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_622), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_622), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_622), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_622), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_622), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_622), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_622), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_622), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_622), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5644, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2037, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1896, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1897, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1898, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1899, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_622), 5688, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_622), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2156, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2157, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2158, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2160, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5679, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5657, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1950, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1978, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5692, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1951, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5691, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1952, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5672, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_622), 3377, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_622), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_622), 4994, 0},
	{EIF_GENERIC(NULL), 4995, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4996, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_622), 5641, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_622), 5642, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5656, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5661, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5001, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_622), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5635, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5636, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5637, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5638, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5639, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5640, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_622), 5643, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5645, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 5646, 12},
	{EIF_NON_GENERIC(0x017F /*191*/), 5652, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5655, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5660, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5662, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5663, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5664, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5665, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5666, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5669, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5670, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5671, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5673, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5674, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5675, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5676, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5677, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5678, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5680, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5681, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5682, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5684, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_622), 5685, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_622), 5686, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_622), 5687, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_622), 5690, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5693, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_622), 5641, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_622), 5642, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5656, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5661, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5661, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_622), 5641, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_622), 5650, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5656, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5647, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5659, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5649, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5654, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init622(void)
{
	IDSC(desc_622, 0, 621);
	IDSC(desc_622 + 1, 1, 621);
	IDSC(desc_622 + 32, 77, 621);
	IDSC(desc_622 + 41, 129, 621);
	IDSC(desc_622 + 47, 282, 621);
	IDSC(desc_622 + 56, 99, 621);
	IDSC(desc_622 + 58, 81, 621);
	IDSC(desc_622 + 67, 4, 621);
	IDSC(desc_622 + 105, 187, 621);
	IDSC(desc_622 + 111, 256, 621);
	IDSC(desc_622 + 114, 50, 621);
	IDSC(desc_622 + 115, 103, 621);
	IDSC(desc_622 + 117, 229, 621);
	IDSC(desc_622 + 118, 35, 621);
	IDSC(desc_622 + 119, 172, 621);
}


#ifdef __cplusplus
}
#endif
